PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;

/*=========================================================
	Update Android database from 1 to 2  (or 1.0.0 to 1.0.1)
*=========================================================/


/*
	ProductInfo Table,增加包和奖励关卡购买
*/

INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (6,'weslie_pack_02',		1, 'WESLIE_PACK_PRICE','WESLIE_PACK_NAME',"CT_MONEY",0, 109);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (7,'weslie_pack_03',		1, 'WESLIE_PACK_PRICE','WESLIE_PACK_NAME',"CT_MONEY",0, 110);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (8,'weslie_pack_04',		1, 'WESLIE_PACK_PRICE','WESLIE_PACK_NAME',"CT_MONEY",0, 111);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (9,'bonus_level_11',		1, 'BONUS_PRICE',		'BONUS_NAME',	  "CT_MONEY",0, 201);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (10,'bonus_level_12',		1, 'BONUS_PRICE',		'BONUS_NAME',	  "CT_MONEY",0, 202);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (11,'bonus_level_21',		1, 'BONUS_PRICE',		'BONUS_NAME',	  "CT_MONEY",0, 203);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (12,'bonus_level_22',		1, 'BONUS_PRICE',		'BONUS_NAME',	  "CT_MONEY",0, 204);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (13,'bonus_level_31',		1, 'BONUS_PRICE',		'BONUS_NAME',	  "CT_MONEY",0, 205);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (14,'bonus_level_32',		1, 'BONUS_PRICE',		'BONUS_NAME',	  "CT_MONEY",0, 206);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (15,'bonus_level_41',		1, 'BONUS_PRICE',		'BONUS_NAME',	  "CT_MONEY",0, 207);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (16,'bonus_level_42',		1, 'BONUS_PRICE',		'BONUS_NAME',	  "CT_MONEY",0, 208);

/*
    IAPInfo Table，增加包和奖励关卡购买
 */

UPDATE IAPInfo SET iOS='com.ath.wmyxyychina.weslie_test' WHERE Internal='xyy01';

insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('weslie_pack_02','com.ath.wmyxyychina.weslie_pack_02','2207032','2207057','0000201');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('weslie_pack_03','com.ath.wmyxyychina.weslie_pack_03','2207033','2207058','0000202');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('weslie_pack_04','com.ath.wmyxyychina.weslie_pack_04','2207034','2207059','0000203');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_11','com.ath.wmyxyychina.bonus_level_11','2207035','2207060','0000301');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_12','com.ath.wmyxyychina.bonus_level_12','2207035','2207060','0000302');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_21','com.ath.wmyxyychina.bonus_level_21',   '2207035','2207060','0000303');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_22','com.ath.wmyxyychina.bonus_level_22',   '2207035','2207060','0000304');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_31','com.ath.wmyxyychina.bonus_level_31',   '2207035','2207060','0000305');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_32','com.ath.wmyxyychina.bonus_level_32',   '2207035','2207060','0000306');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_41','com.ath.wmyxyychina.bonus_level_41',   '2207035','2207060','0000307');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_42','com.ath.wmyxyychina.bonus_level_42',   '2207035','2207060','0000308');

/*
    LevelPackInfo Table，增加包购买
*/

ALTER TABLE LevelPackInfo ADD COLUMN 'IAP_item_id_Pack' TEXT NOT NULL DEFAULT('');

UPDATE LevelPackInfo SET IAP_item_id_Pack='weslie_pack_02' WHERE PackName='LP_TWO';
UPDATE LevelPackInfo SET IAP_item_id_Pack='weslie_pack_03' WHERE PackName='LP_THREE';
UPDATE LevelPackInfo SET IAP_item_id_Pack='weslie_pack_04' WHERE PackName='LP_FOUR';


--添加购买包页面关卡中心图标
ALTER TABLE LevelPackInfo ADD COLUMN 'Purchase_Package_Texture' TEXT NOT NULL DEFAULT('');
--添加购买包页面关卡背景图
ALTER TABLE LevelPackInfo ADD COLUMN 'Purchase_Package_BG_Texture' TEXT NOT NULL DEFAULT('');
--添加购买包页面关卡背景图
ALTER TABLE LevelPackInfo ADD COLUMN 'Purchase_Package_Tip_Text' TEXT NOT NULL DEFAULT('');

UPDATE LevelPackInfo SET Purchase_Package_Texture='UI_Pack_weslie_2.png' ,Purchase_Package_BG_Texture='UI_popup_pack_bg_2.png' ,Purchase_Package_Tip_Text='DIS_PACK2_BUY' WHERE PackName='LP_TWO';
UPDATE LevelPackInfo SET Purchase_Package_Texture='UI_Pack_weslie_3.png' ,Purchase_Package_BG_Texture='UI_popup_pack_bg_3.png' ,Purchase_Package_Tip_Text='DIS_PACK3_BUY'WHERE PackName='LP_THREE';
UPDATE LevelPackInfo SET Purchase_Package_Texture='UI_Pack_weslie_4.png' ,Purchase_Package_BG_Texture='UI_popup_pack_bg_4.png' ,Purchase_Package_Tip_Text='DIS_PACK4_BUY'WHERE PackName='LP_FOUR';


/*
    CollectibleInfo Table，增加奖励关卡购买
*/

ALTER TABLE CollectibleInfo ADD COLUMN 'IAP_item_id_Bonus' TEXT NOT NULL DEFAULT('');
UPDATE CollectibleInfo SET IAP_item_id_Bonus='bonus_level_11' WHERE ID=3;
UPDATE CollectibleInfo SET IAP_item_id_Bonus='bonus_level_12' WHERE ID=6;
UPDATE CollectibleInfo SET IAP_item_id_Bonus='bonus_level_21' WHERE ID=9;
UPDATE CollectibleInfo SET IAP_item_id_Bonus='bonus_level_22' WHERE ID=12;
UPDATE CollectibleInfo SET IAP_item_id_Bonus='bonus_level_31' WHERE ID=15;
UPDATE CollectibleInfo SET IAP_item_id_Bonus='bonus_level_32' WHERE ID=18;
UPDATE CollectibleInfo SET IAP_item_id_Bonus='bonus_level_41' WHERE ID=21;
UPDATE CollectibleInfo SET IAP_item_id_Bonus='bonus_level_42' WHERE ID=24;


/*
	store update，使用新的图片
*/
update "StoreInfo" set "Texture_Normal"='store_channel_btn_price_normal.png',"Texture_Pressed"='store_channel_btn_price_pressed.png' where ID='1';
update "StoreInfo" set "Texture_Normal"='store_channel_btn_price_1_normal.png',"Texture_Pressed"='store_channel_btn_price_1_pressed.png',"Hot_Icon"='store_channel_hot_sale.png',"Hot_Label"='PRICE_OFF' where ID='2';
update "StoreInfo" set "Texture_Normal"='store_channel_btn_price_normal.png',"Texture_Pressed"='store_channel_btn_price_pressed.png' where ID='3';
update "StoreInfo" set "Texture_Normal"='store_channel_btn_price_normal.png',"Texture_Pressed"='store_channel_btn_price_pressed.png' where ID='4';

/*
	Settings Table Version ++
*/

UPDATE Settings SET Value=2 WHERE Name='DatabaseVersion';


COMMIT;