PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;

/*
	1.3 common
 */
 

/*update Settings table */
UPDATE Settings SET Value=4 WHERE Name='DatabaseVersion';
/*update StoreInfo table    By tengda.chai*/
ALTER TABLE StoreInfo ADD COLUMN Coins_Price_Label TEXT DEFAULT 'gen_XYY_green_btn_m.png';
UPDATE StoreInfo SET Coins_Price_Label='gen_XYY_green_btn_m.png';
UPDATE StoreInfo SET Texture_Normal='store_XYY_blue_btn.png', Texture_Pressed='', Coins_Icon='store_XYY_coin05.png' WHERE ID=1;
UPDATE StoreInfo SET Coins_Icon='store_XYY_coin06.png' WHERE ID=2;
UPDATE StoreInfo SET Texture_Normal='store_XYY_yellow_btn.png', Texture_Pressed='', Coins_Icon='store_XYY_coin07.png', Hot_Icon='store_XYY_hot_sale.png' WHERE ID=3;
UPDATE StoreInfo SET Coins_Icon='store_XYY_coin08.png' WHERE ID=4;
/*update StoreInfo table By tengda.chai  End*/

/*update HubInfo */
UPDATE HubInfo SET MainTexture_1='character_XYY_frame_weslie_zh-Hans.png' WHERE ID=10;
UPDATE HubInfo SET MainTexture_1='characters_wolfie_frame_wolfy_zh-Hans.png' WHERE ID=15;
/*
    ProductInfo Table
 */

INSERT INTO "ProductInfo" ("Product_ID","Product_Num","Product_Price","Product_Name","Consume_Type", "Consume_Num" ) values ('weslie_pack_05_Bycoin',1,'WESLIE_PAKAGE_FIVE_PRICE','WESLIE_PAKAGE_FIVE_NAME',1,120);

/*
	Collectible Table
*/
UPDATE CollectibleInfo SET FullTexture='Collections_Pack1_Sunglasses.png' WHERE ID=1;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack1_microphone.png' WHERE ID=2;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack1_JacksonSheep.png' WHERE ID=3;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack1_RedHeeledShoes.png' WHERE ID=4;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack1_sunhat.png' WHERE ID=5;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack1_LadyLiberty.png' WHERE ID=6;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack2_RedApple.png' WHERE ID=7;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack2_WarChess.png' WHERE ID=8;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack2_Thinker.png' WHERE ID=9;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack2_BoxingGloves.png' WHERE ID=10;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack2_Nunchaku.png' WHERE ID=11;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack2_TigerStatue.png' WHERE ID=12;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack3_Palette.png' WHERE ID=13;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack3_Portrait.png' WHERE ID=14;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack3_Painter.png' WHERE ID=15;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack3_Telescope.png' WHERE ID=16;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack3_MasterKey.png' WHERE ID=17;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack3_MartialWolf.png' WHERE ID=18;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack4_Mask.png' WHERE ID=19;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack4_Horn.png' WHERE ID=20;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack4_Joker.png' WHERE ID=21;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack4_Fan.png' WHERE ID=22;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack4_Toy.png' WHERE ID=23;
UPDATE CollectibleInfo SET FullTexture='Collections_Pack4_Princess.png' WHERE ID=24;

/*
	PowerupInfo Table
*/
UPDATE PowerUpInfo SET IconTexture='gen_XYY_guide.png' WHERE ID=1;
UPDATE PowerUpInfo SET IconTexture='gen_XYY_bell_attract.png' WHERE ID=2;
UPDATE PowerUpInfo SET IconTexture='gen_XYY_bell_water.png' WHERE ID=3;
UPDATE PowerUpInfo SET IconTexture='gen_XYY_bell_all.png' WHERE ID=4;
UPDATE PowerUpInfo SET IconTexture='gen_wolfie_powerup_02.png' WHERE ID=5;
UPDATE PowerUpInfo SET IconTexture='gen_wolfie_powerup_01.png' WHERE ID=6;
UPDATE PowerUpInfo SET IconTexture='gen_wolfie_powerup_04.png' WHERE ID=7;
UPDATE PowerUpInfo SET IconTexture='gen_wolfie_powerup_03.png' WHERE ID=8;

/*
	EvilObject Table
*/
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Ultimatedriller_id_01.png' WHERE ID=1;
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Spring_id_02.png' WHERE ID=2;
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Wizardwolfwand_id_03.png' WHERE ID=3;
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Markedgems_id_04.png' WHERE ID=4;
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Oilcontainer_id_05.png' WHERE ID=5;
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Wolfsblanket_id_06.png' WHERE ID=6;
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Crystalgem_id_07.png' WHERE ID=7;
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Oilgoblet_id_08.png' WHERE ID=8;
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Potterwolf_id_09.png' WHERE ID=9;
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Comb_id_10.png' WHERE ID=10;
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Nr7soccershirt_id_11.png' WHERE ID=11;
UPDATE EvilObjectInfo SET FullTexture='collections_wolfie_Beckhamwolf_id_12.png' WHERE ID=12;

/*
    LevelPackInfo Table
 */
ALTER TABLE LevelPackInfo ADD COLUMN 'ShowTipNew' BOOL NOT NULL DEFAULT (0);
--喜洋洋番外篇 金币解锁
INSERT INTO LevelPackInfo (ID, storyline, PackName, Bought, Unlocked, StarsRequired, TitleText, SubtitleText, MainTexture, FrameTexture, LockedTexture, IsLevelPack, LockedText, FB_AlbumName, BGTexture, MainSkeleton, IAP_Item_id_Pack, ShowTipNew) values ('29', 1000, 'LP_FIVE', '1', '0', 999999, 'LP_FIVE_TITLE', 'LP_FIVE_SUBTITLE','2x2.webp','2x2.webp','', 1, 'LP_FIVE_SUBTITLE','Mission 5 - A Thousand Times Over', 'materials_rock_backdrop_p01.webp', 'back6', 'weslie_pack_05_Bycoin', 1);


/*
    LevelInfo Table
 */

INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3000,'LN_ONE_CHANCE','/Perry/Levels/01_p05_one_chance',0,'LP_FIVE',0,0,1,25.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3001,'LN_BURN_AND_EXPLODE','/Perry/Levels/02_p05_burn_and_explode',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3002,'LN_WORK_ALONG_BOTH_LINES','/Perry/Levels/03_p05_work_along_both_lines',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3003,'LN_CHINESE_DUMPLING','/Perry/Levels/04_p05_chinese_dumpling',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3004,'LN_ENGINE_ROOM','/Perry/Levels/05_p05_engine_room',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3005,'LN_BUTTERFLY','/Perry/Levels/06_p05_butterfly',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3006,'LN_TIMED_PRESSURE','/Perry/Levels/07_p05_timed_pressure',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3007,'LN_SPRING','/Perry/Levels/08_p05_spring',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3008,'LN_SKY_CASTLE','/Perry/Levels/09_p05_sky_castle',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3009,'LN_FIREWORKS','/Perry/Levels/10_p05_fireworks',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3010,'LN_COOKING','/Perry/Levels/11_p05_cooking',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3011,'LN_JINGLE_BELLS','/Perry/Levels/12_p05_jingle_bells',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3012,'LN_SPLIT_SECOND','/Perry/Levels/13_p05_split_second',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3013,'LN_SLOT_MACHINE','/Perry/Levels/14_p05_slot_machine',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3014,'LN_RELOAD','/Perry/Levels/15_p05_reload',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3015,'LN_FILL_IT_UP','/Perry/Levels/16_p05_fill_it_up',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3016,'LN_AUTOMATIC_BRIDGE','/Perry/Levels/17_p05_automatic_bridge',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3017,'LN_WATER_LINES','/Perry/Levels/18_p05_water_lines',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3018,'LN_CHRISTMAS_STOCKING','/Perry/Levels/19_p05_christmas_stocking',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (3019,'LN_LIFT_OFF','/Perry/Levels/20_p05_lift_off',0,'LP_FIVE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);

 
/* 
	Achievement
*/
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (10,'ACH_LP_FIVE_CHINA',1000,0,'ACH_LP_FIVE_HOWTO','ACH_LP_FIVE_DESC','ACH_21.png',0.0,0,'ACH_FAIL80_FB','',0);
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (25,'ACH_TRIGNOME_LP_FIVE_CHINA',1000,0,'ACH_TRIGNOME_LP_FIVE_HOWTO','ACH_TRIGNOME_LP_FIVE_DESC','ACH_22.png',0.0,0,'ACH_FAIL80_FB','',0);


------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

/*
	Android 
 */


--图片名更新，按下不再需要图片
UPDATE StoreInfo SET Texture_Normal='store_channel_btn_price.png', Texture_Pressed='' WHERE ID=1;
UPDATE StoreInfo SET Texture_Normal='store_channel_btn_price_1.png', Texture_Pressed='' WHERE ID=2;
UPDATE StoreInfo SET Texture_Normal='store_channel_btn_price.png', Texture_Pressed='' WHERE ID=3;
UPDATE StoreInfo SET Texture_Normal='store_channel_btn_price.png', Texture_Pressed='' WHERE ID=4;

--删除大电影功能
DELETE FROM HubInfo WHERE ID=20;
--Fix bug 图片索引错误bug
UPDATE LevelPackInfo SET Purchase_Package_BG_Texture='UI_popup_pack_bg_4.png' WHERE PackName='LP_FOUR';



COMMIT;
