PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;

/*=========================================================
	Update Android database from 2 to 3  (or 1.0.1 to 1.2.0)
	Based on IOS db_update_1_2.sql
*=========================================================/


/*
    Achievements Table
 */

ALTER TABLE Achievements ADD COLUMN 'Storyline' INTEGER NOT NULL DEFAULT (-1);

UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_LP_ONE_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_TRIGNOME_LP_ONE_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_LP_TWO_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_TRIGNOME_LP_TWO_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_LP_THREE_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_TRIGNOME_LP_THREE_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_LP_FOUR_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_TRIGNOME_LP_FOUR_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_FIRST_FILE_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_TEN_FILES_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_ONE_BONUS_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_ACTION_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_FINDUS_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_EFFICIENT_CUT_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_CONFIDENCE_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_PERSISTENCE_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_SHARE_WEIBO_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_ONLYWATER_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_KILLBELL_CHINA';
UPDATE Achievements SET Storyline=1000 WHERE ID='ACH_FAIL80_CHINA';

/* new wolfie achievement*/
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (10,'ACH_W_LP_ONE_CHINA',1001,0,'ACH_W_LP_ONE_HOWTO','ACH_W_LP_ONE_DESC','ach_w_lp_one.png',0.0,0,'ACH_FAIL80_FB','',0);
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (10,'ACH_W_LP_TWO_CHINA',1001,0,'ACH_W_LP_TWO_HOWTO','ACH_W_LP_TWO_DESC','ach_w_lp_two.png',0.0,0,'ACH_FAIL80_FB','',0);
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (10,'ACH_TRIGNOME_W_LP_ONE_CHINA',1001,0,'ACH_W_LP_TRIGNOME_ONE_HOWTO','ACH_W_LP_TRIGNOME_ONE_DESC','ach_trignome_w_lp_one.png',0.0,0,'ACH_FAIL80_FB','',0);
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (10,'ACH_TRIGNOME_W_LP_TWO_CHINA',1001,0,'ACH_W_LP_TRIGNOME_TWO_HOWTO','ACH_W_LP_TRIGNOME_TWO_DESC','ach_trignome_w_lp_two.png',0.0,0,'ACH_FAIL80_FB','',0);
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (10,'ACH_W_POWERUP_FIVE_CHINA',1001,0,'ACH_W_POWERUP_FIVE_HOWTO','ACH_W_POWERUP_FIVE_DESC','ach_w_powerup_five.png',0.0,0,'ACH_FAIL80_FB','',0);
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (10,'ACH_W_HINT_FIVE_CHINA',1001,0,'ACH_W_HINT_FIVE_HOWTO','ACH_W_HINT_FIVE_DESC','ach_w_hint_five.png',0.0,0,'ACH_FAIL80_FB','',0);
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (10,'ACH_W_BADFLUID_CHINA',1001,0,'ACH_W_BADFLUID_HOWTO','ACH_W_BADFLUID_DESC','ach_w_badfluid.png',0.0,0,'ACH_FAIL80_FB','',0);
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (10,'ACH_W_ANTI_GRAVITY_CHINA',1001,0,'ACH_W_ANTI-GRAVITY_HOWTO','ACH_W_ANTI-GRAVITY_DESC','ach_w_anti-gravity.png',0.0,0,'ACH_FAIL80_FB','',0);
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (10,'ACH_W_ACTION_CHINA',1001,0,'ACH_W_ACTION_HOWTO','ACH_W_ACTION_DESC','ach_w_action.png',0.0,0,'ACH_FAIL80_FB','',0);
INSERT OR IGNORE INTO Achievements (Points, ID, Storyline, Hidden, PreEarnedDescription, EarnedDescription, Image, PercentComplete, SortingGroup, FacebookDescription, LevelFile, HasViewed) VALUES (10,'ACH_W_ONE_CHALLENGE_CHINA',1001,0,'ACH_W_ONE_CHALLENGE_HOWTO','ACH_W_ONE_CHALLENGE_DESC','ach_w_one_challenge.png',0.0,0,'ACH_FAIL80_FB','',0);

/*
    ProductInfo Table,增加奖励关卡购买
*/

INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (17,'bonus_level_51',      1, 'BONUS_PRICE',       'BONUS_NAME',     "CT_MONEY",0, 211);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (18,'bonus_level_52',     1, 'BONUS_PRICE',       'BONUS_NAME',     "CT_MONEY",0, 222);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (19,'bonus_level_61',     1, 'BONUS_PRICE',       'BONUS_NAME',     "CT_MONEY",0, 223);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (20,'bonus_level_62',     1, 'BONUS_PRICE',       'BONUS_NAME',     "CT_MONEY",0, 224);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (21,'wolfie_pack_02',     1, 'WESLIE_PACK_PRICE', 'WESLIE_PACK_NAME',     "CT_MONEY",0, 210);
INSERT OR IGNORE INTO ProductInfo (ID, Product_ID, Product_Num, Product_Price, Product_Name, Consume_Type, Consume_Num, exchange_code) VALUES (22,'wolfie',             1, 'WOLFIE_PAKAGE_PRICE',       'WOLFIE_PAKAGE_NAME',     "CT_MONEY",0, 209);

/*
    IAPInfo Table
 */
 


/*
    IAPInfo Table (Android) 增加奖励关卡购买
 */

--51 52 61 62 是狼包奖励关卡
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_51','com.ath.wmyxyychina.bonus_level_51','2207035','2207060','0000309');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_52','com.ath.wmyxyychina.bonus_level_52','2207035','2207060','0000310');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_61','com.ath.wmyxyychina.bonus_level_61','2207035','2207060','0000311');
insert into "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") values ('bonus_level_62','com.ath.wmyxyychina.bonus_level_62','2207035','2207060','0000312');
--狼包IAP
INSERT INTO "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") VALUES('wolfie_pack_02','com.ath.wmyxyychina.wolfie_pack_02','2207035','2207060','0000204');
INSERT INTO "IAPInfo" ("Internal","iOS","Google","Amazon","ChuKong") VALUES('wolfie','com.ath.wmyxyychina.wolfie_character','2207035','2207060','0000002');


/*
    LevelPackInfo Table
 */


INSERT OR IGNORE INTO LevelPackInfo(ID, Storyline, PackName, Hidden, IAP_item_id, Bought, Unlocked, StarsRequired, TitleText, SubtitleText, MainTexture, FrameTexture, LockedTexture, IsLevelPack, LockedText, FB_AlbumName, LS_Unlocked, SimulateUnlock, IAP_Text, BGTexture, MainSkeleton, IAP_item_id_Pack) VALUES (40,1001,'W_LP_ONE',0,'wolfie',0,1,-1,'LP_ONE_TITLE_WOLFIE','LP_W_ONE_BLACK_CATALYST','2x2.webp','2x2.webp','',1,'','Mission 1 - An Agent I Can Trust_WOLFIE',0,0,'PURCHASE_PACK','ingame_wolfie_BG.webp','back1','');
INSERT OR IGNORE INTO LevelPackInfo(ID, Storyline, PackName, Hidden, IAP_item_id, Bought, Unlocked, StarsRequired, TitleText, SubtitleText, MainTexture, FrameTexture, LockedTexture, IsLevelPack, LockedText, FB_AlbumName, LS_Unlocked, SimulateUnlock, IAP_Text, BGTexture, MainSkeleton, IAP_item_id_Pack) VALUES (41,1001,'W_LP_TWO',0,'wolfie',0,0,40,'LP_TWO_TITLE_WOLFIE','LP_W_TWO_UPSID_DOWN','2x2.webp','2x2.webp','',1,'LOCKED','Mission 2 - An ymtang I Can Trust_WOLFIE',0,0,'PURCHASE_PACK','ingame_wolfie_BG.webp','back2','wolfie_pack_02');
INSERT OR IGNORE INTO LevelPackInfo(ID, Storyline, PackName, Hidden, IAP_item_id, Bought, Unlocked, StarsRequired, TitleText, SubtitleText, MainTexture, FrameTexture, LockedTexture, IsLevelPack, LockedText, FB_AlbumName, LS_Unlocked, SimulateUnlock, IAP_Text, BGTexture, MainSkeleton, IAP_item_id_Pack) VALUES (49,1001,'MORE_COMING_SOON',0,'',1,1,-1,'MORE_LEVELS_WOLFIE','MORE_LEVELS','2x2.webp','2x2.webp','',0,'','',0,0,'','ingame_wolfie_BG.webp','coming_soon','');

/*
    HubInfo Table
 */

UPDATE HubInfo SET Storyline=1001, IAP_item_id='wolfie', Bought=0, HubType=1, MainTexture_1='UI_Character_frame_wolffy_zh-Hans.png', TextColor='88 45 108', TextLine2='HUB_TEXT_DOOF_BODY', StarCharacter='☠', ItemCharacter='♨', ItemSQL1='SELECT count(ID) FROM EvilObjectInfo WHERE Unlocked=1', ItemSQL2='SELECT count(ID) FROM EvilObjectInfo', Tips='' WHERE ID=15;  
INSERT INTO "HubInfo" VALUES(20,1002,'',1,1,'','UI_Character_frame_bigfilm.png','','','','','','','','37 108 138','','HUB_TEXT_PERRY_BODY','☆','⚀','','','SELECT count(ID) FROM CollectibleInfo WHERE Unlocked=1','SELECT count(ID) FROM CollectibleInfo','','',0,'');
/*
    EvilObjectInfo Table
 */

CREATE TABLE "EvilObjectInfo" ("ID" INTEGER PRIMARY KEY  NOT NULL ,"Unlocked" BOOL NOT NULL  DEFAULT (0) ,"HasViewed" BOOL NOT NULL  DEFAULT (0) ,"Type" INTEGER NOT NULL  DEFAULT (0) ,"LevelFile" TEXT NOT NULL  DEFAULT ('') ,"IconTexture" TEXT NOT NULL ,"FullTexture" TEXT NOT NULL ,"BaseName" TEXT NOT NULL);
INSERT INTO "EvilObjectInfo" VALUES(1,0,0,0,'','collections_wolfie_Ultimatedriller_id_01.png','collections_wolfie_Ultimatedriller_id_01_detail.png','DRILLER');
INSERT INTO "EvilObjectInfo" VALUES(2,0,0,0,'','collections_wolfie_Spring_id_02.png','collections_wolfie_Spring_id_02_detail.png','SPRING');
INSERT INTO "EvilObjectInfo" VALUES(3,0,0,0,'/Perry/Levels/B_01_w01_downandup','collections_wolfie_Wizardwolfwand_id_03.png','collections_wolfie_Wizardwolfwand_id_03_detail.png','WAND');
INSERT INTO "EvilObjectInfo" VALUES(4,0,0,0,'','collections_wolfie_Markedgems_id_04.png','collections_wolfie_Markedgems_id_04_detail.png','GEMS');
INSERT INTO "EvilObjectInfo" VALUES(5,0,0,0,'','collections_wolfie_Oilcontainer_id_05.png','collections_wolfie_Oilcontainer_id_05_detail.png','CONTAINER');
INSERT INTO "EvilObjectInfo" VALUES(6,0,0,0,'/Perry/Levels/B_02_w01_russia','collections_wolfie_Wolfsblanket_id_06.png','collections_wolfie_Wolfsblanket_id_06_detail.png','BLANKET');
INSERT INTO "EvilObjectInfo" VALUES(7,0,0,0,'','collections_wolfie_Crystalgem_id_07.png','collections_wolfie_Crystalgem_id_07_detail.png','CRYSTAL');
INSERT INTO "EvilObjectInfo" VALUES(8,0,0,0,'','collections_wolfie_Oilgoblet_id_08.png','collections_wolfie_Oilgoblet_id_08_detail.png','GOBLET');
INSERT INTO "EvilObjectInfo" VALUES(9,0,0,0,'/Perry/Levels/B_03_w02_stairs','collections_wolfie_Potterwolf_id_09.png','collections_wolfie_Potterwolf_id_09_detail.png','POTTER');
INSERT INTO "EvilObjectInfo" VALUES(10,0,0,0,'','collections_wolfie_Comb_id_10.png','collections_wolfie_Comb_id_10_detail.png','COMB');
INSERT INTO "EvilObjectInfo" VALUES(11,0,0,0,'','collections_wolfie_Nr7soccershirt_id_11.png','collections_wolfie_Nr7soccershirt_id_11_detail.png','SHIRT');
INSERT INTO "EvilObjectInfo" VALUES(12,0,0,0,'/Perry/Levels/B_04_w02_three_steps','collections_wolfie_Beckhamwolf_id_12.png','collections_wolfie_Beckhamwolf_id_12_detail.png','BECKHAM');

/*
    EvilObjectInfo Table (Android)
 */
ALTER TABLE EvilObjectInfo ADD COLUMN 'IAP_item_id_Bonus' TEXT NOT NULL DEFAULT('');
UPDATE EvilObjectInfo SET IAP_item_id_Bonus='bonus_level_51' WHERE ID=3;
UPDATE EvilObjectInfo SET IAP_item_id_Bonus='bonus_level_52' WHERE ID=6;
UPDATE EvilObjectInfo SET IAP_item_id_Bonus='bonus_level_61' WHERE ID=9;
UPDATE EvilObjectInfo SET IAP_item_id_Bonus='bonus_level_62' WHERE ID=12;



/*
    LevelInfo Table
 */

INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (80,'LN_I_NEED_OIL','/Perry/Levels/01_w01_i_need_oil',0,'W_LP_ONE',0,0,1,25.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (81,'LN_TURNITBACK','/Perry/Levels/02_w01_turnitback',0,'W_LP_ONE',0,0,1,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (82,'LN_UP_FIRE','/Perry/Levels/03_w01_up_frie',0,'W_LP_ONE',0,0,1,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (83,'LN_KEEP_AFLOAT_AGAIN','/Perry/Levels/04_w01_keep_afloat',0,'W_LP_ONE',0,0,1,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (84,'LN_COVER_ME_AGAIN','/Perry/Levels/05_w01_cover_me_again',0,'W_LP_ONE',0,0,1,30.0,0,'',0,0,0,0,NULL,NULL,1,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (85,'LN_FOUR_LEGS','/Perry/Levels/06_w01_four_legs',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (86,'LN_FIRE_JUNGLE','/Perry/Levels/07_w01_fire_jungle',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (87,'LN_SPIDERWEB','/Perry/Levels/08_w01_spiderweb',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (88,'LN_JIGUAN','/Perry/Levels/09_w01_jiguan',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (89,'LN_THROW','/Perry/Levels/10_w01_throw',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (90,'LN_CAOJIGUAN','/Perry/Levels/11_w01_caojiguan',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (91,'LN_OBJECTS','/Perry/Levels/12_w01_objects',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (92,'LN_BT','/Perry/Levels/13_w01_bt',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (93,'LN_SLINGSHOT','/Perry/Levels/14_w01_slingshot',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (94,'LN_HOURGLASS','/Perry/Levels/15_w01_hourglass',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (95,'LN_LEFT_AND_RIGHT','/Perry/Levels/16_w01_left_and_right',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (96,'LN_UPSIDE_DOWN','/Perry/Levels/17_w01_upside_down',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (97,'LN_INERTIA_EFFECTS','/Perry/Levels/18_w01_inertia_effects',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (98,'LN_HARDEST','/Perry/Levels/19_w01_hardest',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (99,'LN_VOCANO','/Perry/Levels/20_w01_volcano',0,'W_LP_ONE',0,0,0,30.0,0,'',0,0,0,0,NULL,NULL,0,0,0);


 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (100,'LN_HEART','/Perry/Levels/01_w02_heart',0,'W_LP_TWO',0,0,1,40.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (101,'LN_TWO_KINDS_OF_USAGE','/Perry/Levels/02_w02_two_kinds_of_usage',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (102,'LN_RAINBOW','/Perry/Levels/03_w02_rainbow',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (103,'LN_CROSS','/Perry/Levels/04_w02_cross',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (104,'LN_FIX_THE_BRIDGE','/Perry/Levels/05_w02_fix_the_bridge',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (105,'LN_UP_AND_DOWN','/Perry/Levels/06_w02_up_and_down',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (106,'LN_TWO_WAYS','/Perry/Levels/07_w02_two_ways',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (107,'LN_WAITING','/Perry/Levels/08_w02_waiting',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (108,'LN_BURN_IT_ALL','/Perry/Levels/09_w02_burn_it_all',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (109,'LN_CENTRAL_FOUNTAIN','/Perry/Levels/10_w02_central_fountain',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (110,'LN_OLDAGE','/Perry/Levels/11_w02_oldage',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (111,'LN_REACH_THE','/Perry/Levels/12_w02_reach_the_other_side',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (112,'LN_THREE_OPTIONS','/Perry/Levels/13_w02_three_options',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (113,'LN_BLOW_AWAY','/Perry/Levels/14_w02_blow_away',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (114,'LN_GREEN_ARROW','/Perry/Levels/15_w02_green_arrow',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (115,'LN_OIL_MANAGEMENT','/Perry/Levels/16_w02_oil_management',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (116,'LN_CLOSING_DOOR','/Perry/Levels/17_w02_closing_door',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (117,'LN_LABYRINTH','/Perry/Levels/18_w02_labyrinth',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (118,'LN_THE_OVERFLOW','/Perry/Levels/19_w02_the_overflow',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (119,'LN_ROUND_AND_ROUND','/Perry/Levels/20_w02_round_and_round',0,'W_LP_TWO',0,0,0,25.0,0,'',0,0,0,0,NULL,NULL,0,0,0);


 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (2008,'LN_DOWNANDUP','/Perry/Levels/B_01_w01_downandup',0,'W_LP_ONE',0,0,0,35.0,0,'',0,0,0,0,NULL,NULL,1,1,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (2009,'LN_RUSSIA','/Perry/Levels/B_02_w01_russia',0,'W_LP_ONE',0,0,0,60.0,0,'',0,0,0,0,NULL,NULL,1,1,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (2010,'LN_STAIRS','/Perry/Levels/B_03_w02_stairs',0,'W_LP_TWO',0,0,0,90.0,0,'',0,0,0,0,NULL,NULL,1,1,0);
 INSERT OR IGNORE INTO LevelInfo (ID, Name, Filename, Stars, PackName, TimesPlayed, TimesFinished, Unlocked, ParTime, BestScore, CollectibleFound, PlayTime, TimesRetried, IgnoreInStarCount, Type, StartDate, EndDate, Available, IsBonus, ForceVO) VALUES (2011,'LN_THREE_STEPS','/Perry/Levels/B_04_w02_three_steps',0,'W_LP_TWO',0,0,0,90.0,0,'',0,0,0,0,NULL,NULL,1,1,0);

/*
     LOWInfo Table
  */
 
 UPDATE LOWInfo SET DownloadDate='2014-11-10 00:00:00' WHERE ID=1;
 UPDATE LOWInfo SET DownloadDate='2014-11-10 00:00:00' WHERE ID=2;


/*
    PowerUpInfo Table
 */

ALTER TABLE PowerUpInfo ADD COLUMN 'TypeID' INTEGER NOT NULL DEFAULT(0);
ALTER TABLE PowerUpInfo ADD COLUMN 'Storyline' INTEGER NOT NULL DEFAULT(0);

UPDATE PowerUpInfo SET Type=0, TypeID=1, Storyline=1000 WHERE ID=1;
UPDATE PowerUpInfo SET Type=1, TypeID=2, Storyline=1000 WHERE ID=2;
UPDATE PowerUpInfo SET Type=1, TypeID=3, Storyline=1000 WHERE ID=3;
UPDATE PowerUpInfo SET Type=1, TypeID=4, Storyline=1000 WHERE ID=4;

INSERT OR IGNORE INTO PowerUpInfo(ID, Type, TypeID, Storyline, IconTexture, NameText, DiscribeText, CoinTexture, CostNum, Unlock) VALUES (5,0,1,1001,'hint_wolfie_light.png','GPS','GPS_DSC','hint_wolfie_coin.png',100,1);
INSERT OR IGNORE INTO PowerUpInfo(ID, Type, TypeID, Storyline, IconTexture, NameText, DiscribeText, CoinTexture, CostNum, Unlock) VALUES (6,1,2,1001,'powerup_wolfie_Magnetic_bell.png','VACUUM','VACUUM_DSC','hint_wolfie_coin.png',100,1);
INSERT OR IGNORE INTO PowerUpInfo(ID, Type, TypeID, Storyline, IconTexture, NameText, DiscribeText, CoinTexture, CostNum, Unlock) VALUES (7,1,3,1001,'powerup_wolfie_fre-Filled_bell.png','FUEL','FUEL_DSC','hint_wolfie_coin.png',100,1);
INSERT OR IGNORE INTO PowerUpInfo(ID, Type, TypeID, Storyline, IconTexture, NameText, DiscribeText, CoinTexture, CostNum, Unlock) VALUES (8,1,4,1001,'powerup_wolfie_lmmunity_bell.png','CONVERTER','CONVERTER_DSC','hint_wolfie_coin.png',100,1);

/*
    IntroStoryInfo Table
 */

ALTER TABLE IntroStoryInfo ADD COLUMN 'Storyline' INTEGER NOT NULL DEFAULT(0);
ALTER TABLE IntroStoryInfo ADD COLUMN 'PackID' INTEGER NOT NULL DEFAULT(-1);

UPDATE IntroStoryInfo SET Storyline=1000, PackID=0 WHERE ID=0;
UPDATE IntroStoryInfo SET Storyline=1000, PackID=1 WHERE ID=1;
UPDATE IntroStoryInfo SET Storyline=1000, PackID=1 WHERE ID=2;
UPDATE IntroStoryInfo SET Storyline=1000, PackID=2 WHERE ID=3;
UPDATE IntroStoryInfo SET Storyline=1000, PackID=2 WHERE ID=4;
UPDATE IntroStoryInfo SET Storyline=1000, PackID=3 WHERE ID=5;
UPDATE IntroStoryInfo SET Storyline=1000, PackID=3 WHERE ID=6;
UPDATE IntroStoryInfo SET Storyline=1000, PackID=4 WHERE ID=7;
UPDATE IntroStoryInfo SET Storyline=1000, PackID=4 WHERE ID=8;

INSERT OR IGNORE INTO IntroStoryInfo(ID, Storyline, PackID, Unlocked) VALUES (9, 1001, 1, 1);
INSERT OR IGNORE INTO IntroStoryInfo(ID, Storyline, PackID, Unlocked) VALUES (10, 1001, 1, 0);
INSERT OR IGNORE INTO IntroStoryInfo(ID, Storyline, PackID, Unlocked) VALUES (11, 1001, 2, 0);
INSERT OR IGNORE INTO IntroStoryInfo(ID, Storyline, PackID, Unlocked) VALUES (12, 1001, 2, 0);



UPDATE Settings SET Value=3 WHERE Name='DatabaseVersion';

UPDATE LevelInfo SET Stars=0 WHERE ID=7000;
UPDATE LevelInfo SET Stars=0 WHERE ID=7001;

COMMIT;
